/*
GUIBEGIN
WINDOW , 18, 51, 259, 135, POPUP|CAPTION|SYSMENU|MINBOX|MAXBOX|THICK, , My Help Window
	HTML 0, 0, 24, 21, , , MyBrowser
DEND
GUIEND
*/

/* This child script simply displays an HTML page in a window, and
 * waits until the user closes the window.
 *
 * It is assumed that the creator passes one extra arg to CreateObject --
 * a URL to display in our HTML control.
 */

Create:
DO
	GuiErr = "SYNTAX"
	GuiHeading = 1

	/* Stuff the caller's URL into the variable associated with our
	 * HTML control. When our window opens, it will display this URL.
	 */
	MyBrowser = ARG(1)

	/* Create a modal window, displaying the passed URL. */
	GuiCreateWindow("NORMAL", -1)

	GuiSetCtlPlacement("MyBrowser", , , Width, Height)

	/* Since we've created modal, we can do a message loop
	 * right here, and then destroy the window when the
	 * user closes.
	 */
	Continue = 1
Again:
	DO WHILE Continue
		GuiGetMsg()
		CATCH SYNTAX
			CONDITION('M')
			SIGNAL Again
		CATCH HALT
	END

FINALLY
	GuiDestroyWindow()
END
RETURN 0

WM_CLOSE:
	Continue = 0
	RETURN

WM_SIZE:
	/* Resize the HTML control so that it fills our window. We do this
	 * by calling GuiSetCtlPlacement, with the same width and height
	 * as our size event now. But don't do this until the HTML control
	 * is finally created (ie, SIZE events can happen for the window
	 * before its controls are created.
	 */
	Width = ARG(3)
	Height = ARG(4)
	IF GuiInfo("HANDLE", "MyBrowser", 2) \== "" THEN
		GuiSetCtlPlacement("MyBrowser", , , Width, Height)
	RETURN